Fóruns

Início » Liferay IDE » English

Visualização combinada Visão plana Exibição em árvore
Tópicos [ Anterior | Próximo ]
toggle
Problem with liferay-plugins-sdk-6.2.0 Robert Koller 21 de Novembro de 2013 06:12
RE: Problem with liferay-plugins-sdk-6.2.0 Mohammad Azharuddin 21 de Novembro de 2013 06:20
RE: Problem with liferay-plugins-sdk-6.2.0 Robert Koller 21 de Novembro de 2013 06:31
RE: Problem with liferay-plugins-sdk-6.2.0 Mohammad Azharuddin 21 de Novembro de 2013 07:44
RE: Problem with liferay-plugins-sdk-6.2.0 Robert Koller 21 de Novembro de 2013 08:45
RE: Problem with liferay-plugins-sdk-6.2.0 Gamal Alkzaz 21 de Novembro de 2013 09:51
RE: Problem with liferay-plugins-sdk-6.2.0 Robert Koller 22 de Novembro de 2013 07:41
RE: Problem with liferay-plugins-sdk-6.2.0 Gregory Amerson 24 de Novembro de 2013 06:33
RE: Problem with liferay-plugins-sdk-6.2.0 Robert Koller 24 de Novembro de 2013 07:11
RE: Problem with liferay-plugins-sdk-6.2.0 Emmanuel Constant 13 de Dezembro de 2013 13:26
RE: Problem with liferay-plugins-sdk-6.2.0 Juan Gonzalez 14 de Dezembro de 2013 02:05
RE: Problem with liferay-plugins-sdk-6.2.0 Tao Tao 15 de Dezembro de 2013 20:30
RE: Problem with liferay-plugins-sdk-6.2.0 Tao Tao 15 de Dezembro de 2013 22:41
RE: Problem with liferay-plugins-sdk-6.2.0 Emmanuel Constant 16 de Dezembro de 2013 07:10
RE: Problem with liferay-plugins-sdk-6.2.0 Tao Tao 16 de Dezembro de 2013 07:35
RE: Problem with liferay-plugins-sdk-6.2.0 Emmanuel Constant 16 de Dezembro de 2013 07:42
RE: Problem with liferay-plugins-sdk-6.2.0 Tao Tao 16 de Dezembro de 2013 07:45
RE: Problem with liferay-plugins-sdk-6.2.0 Tao Tao 16 de Dezembro de 2013 07:57
RE: Problem with liferay-plugins-sdk-6.2.0 Emmanuel Constant 16 de Dezembro de 2013 07:58
RE: Problem with liferay-plugins-sdk-6.2.0 Emmanuel Constant 16 de Dezembro de 2013 08:53
RE: Problem with liferay-plugins-sdk-6.2.0 Tao Tao 16 de Dezembro de 2013 22:16
RE: Problem with liferay-plugins-sdk-6.2.0 Tirthal Patel 13 de Fevereiro de 2014 08:08
RE: Problem with liferay-plugins-sdk-6.2.0 Meera Prince 16 de Dezembro de 2013 02:03
Robert Koller
Problem with liferay-plugins-sdk-6.2.0
21 de Novembro de 2013 06:12
Resposta

Robert Koller

Ranking: New Member

Mensagens: 19

Data de entrada: 6 de Novembro de 2010

Mensagens recentes

Hi
Please excuse my bad English.

I've downloaded liferay-plugins-sdk-6.2.0.

In Java EE Eclipse I have installed the liefera-plugins-sdk-6.2.0. If I like to add a "New Server Runtime Environment" it is not possible to add the Lifereay v6.2 CE (Tomcat 7)"

Only the following Servers are visible:

Liferay, Inc
- Liferay v6.0 CE (Tomcat 6)
- Liferay v6.1 CE (Tomcat 7)
- Liferay v6.x Runtime Stub

You can help me?

Best regards
Robert
Mohammad Azharuddin
RE: Problem with liferay-plugins-sdk-6.2.0
21 de Novembro de 2013 06:20
Resposta

Mohammad Azharuddin

Ranking: Expert

Mensagens: 479

Data de entrada: 17 de Setembro de 2012

Mensagens recentes

Try
Liferay v6.1 CE (Tomcat 7)
HTH
Robert Koller
RE: Problem with liferay-plugins-sdk-6.2.0
21 de Novembro de 2013 06:31
Resposta

Robert Koller

Ranking: New Member

Mensagens: 19

Data de entrada: 6 de Novembro de 2010

Mensagens recentes

But my servers version is Liferay 6.2.

"Start Server" give the error: Publishing to Lieferay6.1 CE Server at localhost has encountered problem.
Mohammad Azharuddin
RE: Problem with liferay-plugins-sdk-6.2.0
21 de Novembro de 2013 07:44
Resposta

Mohammad Azharuddin

Ranking: Expert

Mensagens: 479

Data de entrada: 17 de Setembro de 2012

Mensagens recentes

Hi post the error log
Robert Koller
RE: Problem with liferay-plugins-sdk-6.2.0
21 de Novembro de 2013 08:45
Resposta

Robert Koller

Ranking: New Member

Mensagens: 19

Data de entrada: 6 de Novembro de 2010

Mensagens recentes

Hi

Thank you for your help.

This ist the error:

Publishing the configuration...
Error copying file to /opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/catalina.policy: /opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/catalina.policy (Datei oder Verzeichnis nicht gefunden)
/opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/catalina.policy (Datei oder Verzeichnis nicht gefunden)
Error copying file to /opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/catalina.properties: /opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/catalina.properties (Datei oder Verzeichnis nicht gefunden)
/opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/catalina.properties (Datei oder Verzeichnis nicht gefunden)
Error copying file to /opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/context.xml: /opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/context.xml (Datei oder Verzeichnis nicht gefunden)
/opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/context.xml (Datei oder Verzeichnis nicht gefunden)
Error copying file to /opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/server.xml: /opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/server.xml (Datei oder Verzeichnis nicht gefunden)
/opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/server.xml (Datei oder Verzeichnis nicht gefunden)
Error copying file to /opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/tomcat-users.xml: /opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/tomcat-users.xml (Datei oder Verzeichnis nicht gefunden)
/opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/tomcat-users.xml (Datei oder Verzeichnis nicht gefunden)
Error copying file to /opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/web.xml: /opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/web.xml (Datei oder Verzeichnis nicht gefunden)
/opt/liferay-portal-6.2.0-ce-ga1/tomcat-7.0.42/backup/web.xml (Datei oder Verzeichnis nicht gefunden)
Gamal Alkzaz
RE: Problem with liferay-plugins-sdk-6.2.0
21 de Novembro de 2013 09:51
Resposta

Gamal Alkzaz

Ranking: New Member

Mensagens: 1

Data de entrada: 26 de Junho de 2010

Mensagens recentes

hi,
u need to update ur Liferay IDE to version 2.0
from this site
https://www.liferay.com/downloads/liferay-projects/liferay-ide
using eclipse-> help-> install new software
and use http://releases.liferay.com/tools/ide/latest/milestone
after restart eclipse u'll find liferay 6.2 in the list
Robert Koller
RE: Problem with liferay-plugins-sdk-6.2.0
22 de Novembro de 2013 07:41
Resposta

Robert Koller

Ranking: New Member

Mensagens: 19

Data de entrada: 6 de Novembro de 2010

Mensagens recentes

Hi

Thank you for your help.

Unfortunately, the situation has not improved. On this site (https://www.liferay.com/downloads/liferay-projects/liferay-ide) I can only find the version 1.6.2.v201303111029.

Robert
Gregory Amerson
RE: Problem with liferay-plugins-sdk-6.2.0
24 de Novembro de 2013 06:33
Resposta

Gregory Amerson

LIFERAY STAFF

Ranking: Liferay Legend

Mensagens: 1041

Data de entrada: 16 de Fevereiro de 2010

Mensagens recentes

Hi Robert,

On that same page that you mentioned there is a URL for the latest 2.0 milestone-2 updatesite. Can you give that version a try and let us know if you have any issues?
Robert Koller
RE: Problem with liferay-plugins-sdk-6.2.0
24 de Novembro de 2013 07:11
Resposta

Robert Koller

Ranking: New Member

Mensagens: 19

Data de entrada: 6 de Novembro de 2010

Mensagens recentes

Hi Gregory

Please apologize. I have not really looked.

Now everything is working fine. Thanks for your help!

Best regards
Robert
Emmanuel Constant
RE: Problem with liferay-plugins-sdk-6.2.0
13 de Dezembro de 2013 13:26
Resposta

Emmanuel Constant

Ranking: New Member

Mensagens: 5

Data de entrada: 11 de Dezembro de 2013

Mensagens recentes

Hello,

I'm experienceing the smae problem. I used the

http://releases.liferay.com/tools/ide/latest/milestone/

link and received this message:

"Your original request has been modified.
"Liferay IDE" is already installed, so an update will be performed instead."
Anexo

Anexos: Untit.jpg (87,4k)
Juan Gonzalez
RE: Problem with liferay-plugins-sdk-6.2.0
14 de Dezembro de 2013 02:05
Resposta

Juan Gonzalez

LIFERAY STAFF

Ranking: Liferay Legend

Mensagens: 2947

Data de entrada: 28 de Outubro de 2008

Mensagens recentes

Hi Emmanuel,

simply go to "Check for updates" and then select Liferay IDE and m2e-liferay.
Anônimo
RE: Problem with liferay-plugins-sdk-6.2.0
15 de Dezembro de 2013 20:30
Resposta

Anônimo

Hi Emmanuel,

There is a published wiki page provided by us about upgrading Liferay IDE from 1.6.x to 2.0,
https://www.liferay.com/community/wiki/-/wiki/Main/Liferay+IDE+1.x+-+2.0+Upgrade+steps

Can you follow the steps in the page above and try again?
Anônimo
RE: Problem with liferay-plugins-sdk-6.2.0
15 de Dezembro de 2013 22:41
Resposta

Anônimo

After you tried, please let me know if that works. Thanks.
Meera Prince
RE: Problem with liferay-plugins-sdk-6.2.0
16 de Dezembro de 2013 02:03
Resposta

Meera Prince

Ranking: Liferay Legend

Mensagens: 1110

Data de entrada: 8 de Fevereiro de 2011

Mensagens recentes

Hi

Add liferay 6.1CE tomcat its working , in next release of Liferay IDE they may add 6.2CE server

Go through following link i have done successfully

http://www.liferaysavvy.com/2013/12/liferay-62-portal-development.html


Regards,

Meera Prince

http://www.liferaysavvy.com
Emmanuel Constant
RE: Problem with liferay-plugins-sdk-6.2.0
16 de Dezembro de 2013 07:10
Resposta

Emmanuel Constant

Ranking: New Member

Mensagens: 5

Data de entrada: 11 de Dezembro de 2013

Mensagens recentes

Hello Tao Tao,

I tried to follow you steps on the link 'https://www.liferay.com/community/wiki/-/wiki/Main/Liferay+IDE+1.x+-+2.0+Upgrade+steps" and on the first step I received errors for both Kepler and Helios. The errors for both are attached.
Anexo

Anexo

Anexos: Helios_LifeRay_Error.jpg (93,5k), Kepler_LifeRay_Error.jpg (119,7k)
Anônimo
RE: Problem with liferay-plugins-sdk-6.2.0
16 de Dezembro de 2013 07:35
Resposta

Anônimo

Hi Emmanuel,

The url you're using is not right. Have you read step 2 carefully that let you select a release version from that url directory. You have to browser that url first. I'm sorry about this part may be not clear on the wiki.
Anyway, I give you the latest 2.0.0 m3 updatesite: http://releases.liferay.com/tools/ide/latest/milestone/
Please follow the steps on the same wiki page start from step 3. Sorry about the inconvenience.
Emmanuel Constant
RE: Problem with liferay-plugins-sdk-6.2.0
16 de Dezembro de 2013 07:42
Resposta

Emmanuel Constant

Ranking: New Member

Mensagens: 5

Data de entrada: 11 de Dezembro de 2013

Mensagens recentes

Tao Tao,

For Eclipse Helios, you don't have set instructions. You only have instructions for Eclipse Indigo, Juno or Kepler

As for Kepler, I don't have the previous LifeRay IDE installed. I'm not sure of what link to use to find it so
I'm not sure if i can use your tutorial.

Please advise.
Anônimo
RE: Problem with liferay-plugins-sdk-6.2.0
16 de Dezembro de 2013 07:45
Resposta

Anônimo

Yes, you're right, the 2.0 version doesn't support helios anymore. You have to use Indigo version or above.
Anônimo
RE: Problem with liferay-plugins-sdk-6.2.0
16 de Dezembro de 2013 07:57
Resposta

Anônimo

Hi Emmanuel,

For kepler version, if you haven't installed any version of IDE, you can install 2.0 directly on that link, the same one you're using for the upgrade.
http://releases.liferay.com/tools/ide/latest/milestone/

Thanks for your questions, if you have other questions about the installation or upgrade, please let me know.
Emmanuel Constant
RE: Problem with liferay-plugins-sdk-6.2.0
16 de Dezembro de 2013 07:58
Resposta

Emmanuel Constant

Ranking: New Member

Mensagens: 5

Data de entrada: 11 de Dezembro de 2013

Mensagens recentes

Thanks Tao Tao. I will run the install and provide feedback.
Emmanuel Constant
RE: Problem with liferay-plugins-sdk-6.2.0
16 de Dezembro de 2013 08:53
Resposta

Emmanuel Constant

Ranking: New Member

Mensagens: 5

Data de entrada: 11 de Dezembro de 2013

Mensagens recentes

Thanks Tao Tao.

I'm now up and running. Your assistance was much appreciated.

Questions, do you have links or book recommendations for developing for Liferay?

I currently following the guide that here : https://www.liferay.com/documentation/liferay-portal/6.2/development/-/ai/developing-apps-with-liferay-ide-liferay-portal-6-2-dev-guide-02-en

however, it not based on Eclipse Kepler.
Anônimo
RE: Problem with liferay-plugins-sdk-6.2.0
16 de Dezembro de 2013 22:16
Resposta

Anônimo

Hi Emmanuel,

Glad to hear that you made it work.

You can follow the threads in the forums. https://www.liferay.com/community/forums/-/message_boards/category/243728

Or the wiki page about portal development: https://www.liferay.com/community/wiki/-/wiki/tag/development

You don't have to worry about the eclipse version, as long as liferay IDE is supported for that version, the features will surely be compatible for doing liferay portal development.

Hope that will be helpful. And some tutorials slides are only available when you've attended the training. You can contact with our consulting team.
Tirthal Patel
RE: Problem with liferay-plugins-sdk-6.2.0
13 de Fevereiro de 2014 08:08
Resposta

Tirthal Patel

Ranking: New Member

Mensagens: 4

Data de entrada: 3 de Janeiro de 2011

Mensagens recentes

Emmanuel Constant:
Thanks Tao Tao.

I'm now up and running. Your assistance was much appreciated.

Questions, do you have links or book recommendations for developing for Liferay?

I currently following the guide that here : https://www.liferay.com/documentation/liferay-portal/6.2/development/-/ai/developing-apps-with-liferay-ide-liferay-portal-6-2-dev-guide-02-en

however, it not based on Eclipse Kepler.


Agree, when I installed 2.0.0 GA1 IDE plugin in Kepler as per the mentioned url of liferay developer guide, at the end it didn't work. Please refer detail of the issue here - https://www.liferay.com/community/forums/-/message_boards/message/33959073

Steps for "Liferay Portal 6.2 - Development Setup using Eclipse Kepler" are here - http://tirthalpatel.blogspot.in/2014/02/liferay-portal-6.2-development-setup-guide.html